Skip to main content
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
बुकमार्क फ़ोल्डर प्राप्त करें
curl --request GET \
  --url https://api.x.com/2/users/{id}/bookmarks/folders \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "1146654567674912769",
      "name": "<string>"
    }
  ],
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ],
  "meta": {
    "next_token": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
string
required

उस प्रमाणित स्रोत उपयोगकर्ता की ID, जिसके लिए परिणाम लौटाने हैं। इस उपयोगकर्ता का विशिष्ट पहचानकर्ता। इसका मान प्रमाणित उपयोगकर्ता के समान होना चाहिए।

Example:

"2244994945"

Query Parameters

max_results
integer<int32>

परिणामों की अधिकतम संख्या।

Required range: 1 <= x <= 100
pagination_token
string

इस पैरामीटर का उपयोग परिणामों का अगला 'पेज' प्राप्त करने के लिए किया जाता है। एक base36 पेजिनेशन टोकन।

Minimum string length: 1

Response

अनुरोध सफल रहा है।

data
object[]
errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) में परिभाषित एक HTTP Problem Details ऑब्जेक्ट।

meta
object